Package org.eclipse.cdt.core.settings.model

# Interface ICResourceDescription

All Superinterfaces:
  `ICSettingBase`, `ICSettingContainer`, `ICSettingObject`

All Known Subinterfaces:
  `ICFileDescription`, `ICFolderDescription`, `ICMultiFolderDescription`, `ICMultiResourceDescription`

public interface ICResourceDescription extends ICSettingContainer, ICSettingObject

## Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExclude(boolean exclude)`
`ICFolderDescription`
`getParentFolderDescription()`
`org.eclipse.core.runtime.IPath`
`getPath()`
`boolean`
`isExcluded()`
`void`
`setExcluded(boolean excluded)`
`void`
`setPath(org.eclipse.core.runtime.IPath path)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingContainer

`getChildSettings`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

## Method Details

### getPath

org.eclipse.core.runtime.IPath getPath()

### isExcluded

boolean isExcluded()

### setExcluded

void setExcluded(boolean excluded) throws WriteAccessException

Throws:
  `WriteAccessException`

### setPath

void setPath(org.eclipse.core.runtime.IPath path) throws WriteAccessException

Throws:
  `WriteAccessException`

### getParentFolderDescription

ICFolderDescription getParentFolderDescription()

### canExclude

boolean canExclude(boolean exclude)